/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pl.edu.pwr.nlpengine;

import org.w3c.dom.Element;

/**
 *
 * @author www_zsk
 */


public class FileSource {
        private String url="";
        private String name="";
        private SourceType type;
        private Element element=null;
        
    public FileSource(String url,String name,SourceType type)
    {  this.url=url;
       this.name=name;
       this.type=type;
    }
    
    public FileSource(Element element,SourceType type)
    {  this.element=element;
       this.type=type;
    }
    /**
     * @return the url
     */
    public String getUrl() {
        return url;
    }
    
    public Element getElement() {
        return element;
    }

    /**
     * @param url the url to set
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public SourceType getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(SourceType type) {
        this.type = type;
    }

    
}
